cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/versions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": {
"name": "<string>",
"modelAlias": "<unknown>",
"systemPrompt": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"agentFilesystem": true,
"toolNames": [
"<string>"
],
"toolActionConfigs": [
{
"type": "<string>",
"allowedChannels": [
{
"id": "<string>",
"name": "<string>"
}
],
"hideAgentButton": true
}
],
"agentTools": [
{
"sync_key": "<string>"
}
],
"cliNames": [
"<string>"
],
"skills": [
"<string>"
],
"inputs": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"acceptanceCriteria": [
"<string>"
],
"contextDocs": [
{
"id": "<string>",
"name": "<string>",
"mimeType": "<string>"
}
],
"triggers": [
{
"name": "<string>",
"sync_key": "<string>",
"description": "<string>",
"enabled": true,
"schedule": "<string>",
"events": [
"<string>"
],
"jqlFilter": "<string>",
"issuePropertyKeysFilter": [
"<string>"
],
"fieldIdsFilter": [
"<string>"
],
"allowedChannelIds": [
"<string>"
],
"allowedUserIds": [
"<string>"
],
"allowedUsergroupIds": [
"<string>"
],
"resourceTypes": [
"<string>"
],
"emailAddress": "<string>"
}
],
"structuredOutputSchema": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": "<unknown>",
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"syncKey": "<string>"
},
"sourceCommitSha": "<string>",
"changedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedByEmail": "<string>",
"description": "<string>",
"createdAt": "<string>"
}
]Agent Versions
List agent versions
List the whole-definition version timeline for an agent (newest first)
GET
/
api
/
agents
/
{agentId}
/
versions
cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/versions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition": {
"name": "<string>",
"modelAlias": "<unknown>",
"systemPrompt": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"agentFilesystem": true,
"toolNames": [
"<string>"
],
"toolActionConfigs": [
{
"type": "<string>",
"allowedChannels": [
{
"id": "<string>",
"name": "<string>"
}
],
"hideAgentButton": true
}
],
"agentTools": [
{
"sync_key": "<string>"
}
],
"cliNames": [
"<string>"
],
"skills": [
"<string>"
],
"inputs": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"acceptanceCriteria": [
"<string>"
],
"contextDocs": [
{
"id": "<string>",
"name": "<string>",
"mimeType": "<string>"
}
],
"triggers": [
{
"name": "<string>",
"sync_key": "<string>",
"description": "<string>",
"enabled": true,
"schedule": "<string>",
"events": [
"<string>"
],
"jqlFilter": "<string>",
"issuePropertyKeysFilter": [
"<string>"
],
"fieldIdsFilter": [
"<string>"
],
"allowedChannelIds": [
"<string>"
],
"allowedUserIds": [
"<string>"
],
"allowedUsergroupIds": [
"<string>"
],
"resourceTypes": [
"<string>"
],
"emailAddress": "<string>"
}
],
"structuredOutputSchema": {
"title": "<string>",
"description": "<string>",
"properties": {},
"items": "<unknown>",
"required": [
"<string>"
],
"enum": [
"<string>"
],
"additionalProperties": true,
"x-cotool": {
"viewerId": "<string>"
}
},
"syncKey": "<string>"
},
"sourceCommitSha": "<string>",
"changedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedByEmail": "<string>",
"description": "<string>",
"createdAt": "<string>"
}
]Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Available options:
user, sync Was this page helpful?
⌘I